> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/bookmakers/get-bookmaker-event-ids-by-fixture-id.md).

# GET Bookmaker Event ID's by Fixture Id

This endpoint returns all the bookmakers event ids available for your requested fixture ID.

{% tabs %}
{% tab title="Base URL" %}

```javascript
https://api.sportmonks.com/v3/odds/bookmakers/fixtures/{ID}/mapping
```

{% endtab %}

{% tab title="Example Response" %}

```json
"data": [
        {
            "fixture_id": 18546969,
            "bookmaker_id": 2,
            "bookmaker_name": "bet365",
            "bookmaker_event_id": "121986418"
        }
    ],
```

{% endtab %}

{% tab title="Field Description" %}

| Field                | Description                                      | Type    |
| -------------------- | ------------------------------------------------ | ------- |
| `fixture_id`         | Refers to the Sportmonks fixture\_id             | integer |
| bookmaker\_id        | Refers to the id of the bookmaker                | integer |
| bookmaker\_name      | contains the name of the bookmaker               | string  |
| bookmaker\_event\_id | contains the id of this fixture at the bookmaker | string  |
| {% endtab %}         |                                                  |         |
| {% endtabs %}        |                                                  |         |

{% tabs %}
{% tab title="Query Parameters" %}

<table><thead><tr><th>Query Parameters</th><th width="164.33333333333331">Required?</th><th>Description</th></tr></thead><tbody><tr><td><code>api_token</code></td><td>YES</td><td>Your unique API token</td></tr><tr><td><code>include</code></td><td>NO</td><td>Enrich the API with more data by using includes</td></tr><tr><td><code>select</code></td><td>NO</td><td>Select specific fields on the <a href="broken://pages/ZEorjqmnwsNQNSMhOMdX">base entity</a></td></tr><tr><td><code>filters</code></td><td>NO</td><td><p>Filter the API response on multiple related entities. There are static filters and dynamic filters.</p><p></p><p>Please find the possibilities in the Static and Dynamic Filter tab.</p></td></tr></tbody></table>
{% endtab %}

{% tab title="Static Filters" %}
Not applicable for this endpoint.&#x20;
{% endtab %}

{% tab title="Dynamic Filters" %}
Not applicable for this endpoint.&#x20;
{% endtab %}
{% endtabs %}

#### Pagination

YES

#### Include depth

You can use a total of `0` nested includes on this endpoint

#### Include options

`none`

**Related Entities:**

Get an overview and explanation of all the fields returned in the API response. The related entities for the bookmakers endpoints are:

* [Bookmaker](/v3/odds-api/getting-started/entities/bookmaker.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/bookmakers/get-bookmaker-event-ids-by-fixture-id.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
